#language: ru

@ignore
@exportscenarios
@cutting

Функционал: Общие сценарии разруба

Сценарий: Я подключаю лицензию разруба

	И Я подключаюсь под "Администратор"
	Когда Я читаю лицензию "Разруб.xml"
	И Я закрыл все окна клиентского приложения

Сценарий: Я подключаю расширенную лицензию

	И Я подключаюсь под "Администратор"
	Когда Я читаю лицензию "ДокументооборотИРазруб.xml"
	И Я закрыл все окна клиентского приложения

Сценарий: Я создаю настройку приоритета характеристике "Имя характеристики" с приоритетом "Значение приоритета"

	И в таблице "СписокХарактеристики" я нажимаю на кнопку с именем 'СписокХарактеристикиСоздать'
	Тогда я жду открытия окна 'Приоритеты планирования (создание)' в течение 20 секунд
	И из выпадающего списка "Характеристика" я выбираю по строке "Имя характеристики"
	И в поле 'Приоритет' я ввожу текст "Значение приоритета"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Приоритеты планирования (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Настройка приоритетов' в течение 20 секунд

Сценарий: Я меняю настройку приоритета номенклатуре "Имя номенклатуры" на приоритет "Значение приоритета"

	И в таблице "СписокНоменклатура" я перехожу к строке:
		| 'Номенклатура'      |
		|  "Имя номенклатуры" |
	И в таблице "СписокНоменклатура" я выбираю текущую строку
	Тогда я жду открытия окна 'Приоритеты планирования' в течение 20 секунд
	И в поле 'Приоритет' я ввожу текст "Значение приоритета"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Приоритеты планирования *' в течение 20 секунд
	Тогда я жду открытия окна 'Настройка приоритетов' в течение 20 секунд
